Subject: [Ecrit] Barry Leiba's No Objection on draft-ietf-ecrit-held-routing-04: (with COMMENT)

From: "Barry Leiba" <[email-masked]>
Date: Wed, 03 Feb 2016 10:40:55 -0800

Barry Leiba has entered the following ballot position for
draft-ietf-ecrit-held-routing-04: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-ecrit-held-routing/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

I note that the reference to 5687 was moved to informative in -04.  I
think the fact that it's used as the reference for privacy and security
considerations leads to its being normative, as it originally was.  But,
really, I think the right fix for that is to change the phrases in
Sections 8 and 9 that say "beyond those already described in [RFC5687]"
to instead say "beyond those already described in [RFC5985]".  I think
using the security aspects of the base HELD protocol as the basic
considerations for this extension is the right thing.  Comments?

---

From: James Winterbottom <[email-masked]>
Date: Thu, 4 Feb 2016 19:13:22 +1100

Thanks Barry,

Please see inline:

> On 4 Feb 2016, at 5:40 am, Barry Leiba <[email-masked]> wrote:
> 

[AJW] Section 8

Old "This document makes no changes that require privacy considerations beyond those already described in [RFC5687].  It does however extend those described in [RFC6155].”

Proposed "This document makes no changes that require privacy considerations beyond those already described in [RFC5985].  It does however extend those described in [RFC6155].”

Old "[RFC5687] describes the issues surrounding Layer 7 location configuration protocols, which this document makes no specific changes to.”

Proposed “[RFC5985] describes the privacy considerations surrounding the HELD location configuration protocol, and this document makes no specific changes to these considerations.”

[AJW] Section 9

Old "This document imposes no additional security considerations beyond those already described in [RFC5687] and [RFC6155].”

Proposed “This document imposes no additional security considerations beyond those already described in [RFC5985] and [RFC6155].”

Given these changes I don’t see much need to move RFC5687 back into the normative references, do you agree?

Cheers
James

---

From: Barry Leiba <[email-masked]>
Date: Thu, 4 Feb 2016 08:31:28 -0500

Yes, that's a fine change, and thanks.

Barry

On Thu, Feb 4, 2016 at 3:13 AM, James Winterbottom
<[email-masked]> wrote:
> Old "This document makes no changes that require privacy considerations
> beyond those already described in [RFC5687].  It does however extend those
> described in [RFC6155].”
>
> Proposed "This document makes no changes that require privacy considerations
> beyond those already described in [RFC5985].  It does however extend those
> described in [RFC6155].”
>
> Old "[RFC5687] describes the issues surrounding Layer 7 location
> configuration protocols, which this document makes no specific changes to.”
>
> Proposed “[RFC5985] describes the privacy considerations surrounding the
> HELD location configuration protocol, and this document makes no specific
> changes to these considerations.”
>
>
> [AJW] Section 9
>
> Old "This document imposes no additional security considerations beyond
> those already described in [RFC5687] and [RFC6155].”
>
> Proposed “This document imposes no additional security considerations beyond
> those already described in [RFC5985] and [RFC6155].”
>
>